Bug 165376 - gdb crashes when listing a function when invoked via ddd
gdb crashes when listing a function when invoked via ddd
Status: CLOSED DUPLICATE of bug 162882
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gdb (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 14:02 EDT by John Gibson
Modified: 2015-01-07 19:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-29 19:49:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Gibson 2005-08-08 14:02:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
When I invoke ddd on a simple c file and attempt to "lookup" a simble gdb core dumps. I am attaching the core. If I envoke gdb from the command line I can "list" the simbol that I am looking for. This behavior did not happen in the version prior gdb-6.1post-1.20040607.52.  

Version-Release number of selected component (if applicable):
gdb-6.3.0.0-0.30.1, ddd-3.3.1-23, kernel-2.4.21-32.0.1.EL

How reproducible:
Always

Steps to Reproduce:
1. Compile simple c file.
2. Envoke ddd on the executable 'ddd diversion'
3. Insert the symbol that you are looking for in the text window and press the "lookup" button.  ie (get_random_short)
  

Actual Results:  Core dump.

Expected Results:  the code windo should scroll to the symbol that you are looking up like function "get_random_short".

Additional info:
Comment 1 John Gibson 2005-08-08 14:26:11 EDT
oops sorry for the typos..  simble= symbol  simbol = symbol
Comment 2 Jan Kratochvil 2006-08-13 12:39:31 EDT
I was able to reproduce this Bug, backtrace:
(gdb) bt
#0  0x002aa2a7 in _int_free () from /lib/tls/libc.so.6
#1  0x002a9278 in free () from /lib/tls/libc.so.6
#2  0x080f98e7 in find_line_pc_range ()
#3  0x080e4692 in print_source_lines ()

Thanks for the bugreport, this Bug was fixed by gdb-6.3.0.0-1.66. To be
CLOSED-DUPLICATE of Bug 162882.
Comment 3 Jan Kratochvil 2006-12-29 19:49:27 EST

*** This bug has been marked as a duplicate of 162882 ***
Comment 4 Jan Kratochvil 2006-12-29 19:51:47 EST
While Bug 162882 is for RHEL4 and this Bug was submitted for RHEL3 it would be
otherwise WONTFIX due to RHEL3 being near its end of life. Please submit Issue
Tracker item otherwise.

Note You need to log in before you can comment on or make changes to this bug.